Bug 425101 - (CVE-2007-6328) CVE-2007-6328 dosbox: access to filesystem of host system
CVE-2007-6328 dosbox: access to filesystem of host system
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-12-14 11:15 EST by Tomas Hoger
Modified: 2007-12-17 12:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-17 12:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-12-14 11:15:23 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6328 to the following vulnerability:

** DISPUTED **  DOSBox 0.72 and earlier allows local users to obtain access to the filesystem on the host operating system via the mount command.  NOTE: the researcher reports a vendor response stating that this is not a security problem.


Comment 1 Tomas Hoger 2007-12-14 11:28:02 EST
Allowing uncontrolled access to filesystem outside of the emulated DOS system
seems to be a design decision for DOSBox, even though it may not be common for
other emulators / virtualization solution.  Given upstream statement mentioned
in original report, this probably won't get changed soon.

Andreas, have you possibly heard some other feedback from DOSBox community about
this announcement?
Comment 2 Andreas Bierfert 2007-12-15 03:53:03 EST
No I have to. But from reading through the report this is nothing new imho.
DOSBox  has allowed this for a long time. The assessment of it being a potential
risk is right _but_ it is not like a hidden magic feature but clear from design
so I would say that this is nothing we have to worry about for now.
Comment 3 Tomas Hoger 2007-12-17 12:28:38 EST
Given this is design decision and upstream does not seem to change this any time
soon, I'm closing this as WONTFIX.  If upstream decision is changed in the
future, we will likely follow shortly after by moving to new upstream release,
but it does not seem to make sense to do fork at the moment.

Note You need to log in before you can comment on or make changes to this bug.